#!/usr/bin/perl -T

use strict;
use warnings;

#*******************************************************************************
# Mentat::Stats::Brief module/class tests
#
# Author:   Jan Mach, jan.mach@cesnet.cz
# Version:  0.1
# Purpose:
#
#*******************************************************************************

use Data::Dumper;
#use Smart::Comments;

use Test::More tests => 5;

# First test if the module correctly compiles
BEGIN {
        use vars qw($TESTED_CLASS);
        $TESTED_CLASS = 'Mentat::Stats::Brief';

        use_ok('Tester');
        use_ok('Value::Convertor');
        use_ok($TESTED_CLASS);

        $ENV{PATH} = '/bin:/usr/bin';
    }

# Debug output explicit ON switch
#Tester::DEBUG_ON();
#Tester::DEBUG_ON(10);

# Debug output explicit OFF switch
#Tester::DEBUG_OFF();

# User should know, which version is beeing tested (just for sure)
### $Mentat::Stats::Brief::VERSION

### Attempting to create Mentat::Stats::Brief instance...
my $instance = $TESTED_CLASS->new(charts_dir => './data');
isa_ok($instance, $TESTED_CLASS);

### Viewing the created instance: $instance
diag("Instance dump 01: " . Dumper($instance)) if Tester::D(2);

my @r1 = $instance->calculate_thresholds('2015-10-15', 'day');
my @r2 = $instance->calculate_thresholds('2015-10-15', 'month');
my @r3 = $instance->calculate_thresholds('2015-10-15', 'year');

diag(Dumper(@r1));
diag("H: ", Value::Convertor->unixs_to_ldatestr($r1[0]), ", L: ", Value::Convertor->unixs_to_ldatestr($r1[1]));
diag(Dumper(@r2));
diag("H: ", Value::Convertor->unixs_to_ldatestr($r2[0]), ", L: ", Value::Convertor->unixs_to_ldatestr($r2[1]));
diag(Dumper(@r3));
diag("H: ", Value::Convertor->unixs_to_ldatestr($r3[0]), ", L: ", Value::Convertor->unixs_to_ldatestr($r3[1]));
